"""The :mod:`deephyper.nas.run` sub-package provides a set of functions which can evaluates configurations generated by search algorithms of DeepHyper.
"""
from ._run_base_trainer import run_base_trainer
from ._run_distributed_base_trainer import run_distributed_base_trainer
from ._run_debug_arch import run_debug_arch
from ._run_debug_hp_arch import run_debug_hp_arch
from ._run_debug import run_debug
from ._run_debug_slow import run_debug_slow

__all__ = [
    "run_base_trainer",
    "run_distributed_base_trainer",
    "run_debug",
    "run_debug_arch",
    "run_debug_hp_arch",
    "run_debug_slow",
]

try:
    from ._run_horovod import run_horovod  # noqa: F401

    __all__.append("run_horovod")
except Exception:
    pass
